Package org.kie.api.task.model

## Interface Task

- All Superinterfaces:
    `java.io.Externalizable`, `java.io.Serializable`

      public interface Task
      extends java.io.Externalizable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` |
    `java.util.List<I18NText>` | `getDescriptions()` |
    `java.lang.String` | `getFormName()` |
    `java.lang.Long` | `getId()` |
    `java.lang.String` | `getName()` |
    `java.util.List<I18NText>` | `getNames()` |
    `PeopleAssignments` | `getPeopleAssignments()` |
    `java.lang.Integer` | `getPriority()` |
    `java.lang.String` | `getSubject()` |
    `java.util.List<I18NText>` | `getSubjects()` |
    `TaskData` | `getTaskData()` |
    `java.lang.String` | `getTaskType()` |
    `java.lang.Integer` | `getVersion()` |
    `java.lang.Boolean` | `isArchived()` |

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Method Detail

    - #### getId

          java.lang.Long getId()

    - #### getPriority

          java.lang.Integer getPriority()

    - #### getNames

          java.util.List<I18NText> getNames()

    - #### getSubjects

          java.util.List<I18NText> getSubjects()

    - #### getDescriptions

          java.util.List<I18NText> getDescriptions()

    - #### getName

          java.lang.String getName()

    - #### getSubject

          java.lang.String getSubject()

    - #### getDescription

          java.lang.String getDescription()

    - #### getPeopleAssignments

          PeopleAssignments getPeopleAssignments()

    - #### getTaskData

          TaskData getTaskData()

    - #### getTaskType

          java.lang.String getTaskType()

    - #### isArchived

          java.lang.Boolean isArchived()

    - #### getVersion

          java.lang.Integer getVersion()

    - #### getFormName

          java.lang.String getFormName()